Skip to content
Start here

List DLS regions for an account

GET/accounts/{account_id}/dls/regions

List DLS regions for an account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: number
formatint64
Query ParametersExpand Collapse
cursor: optional string

Opaque token for cursor-based pagination. Omit for the first page. Pass the value from a previous response to fetch the next page.

per_page: optional number
maximum100
minimum1
type: optional "managed" or "custom"

Filter regions by type. Omit to return all regions.

One of the following:
"managed"
"custom"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, created_on, modified_on, 4 more }
id: string
created_on: string
formatdate-time
modified_on: string
formatdate-time
name: string
region_key: string
maxLength128
minLength1
version: number
version_created_on: string
formatdate-time
result_info: object { count, cursor, per_page }
count: number

Number of items in the current page.

cursor: string

Opaque cursor for the next page. Empty string when there are no more results.

per_page: number

Maximum number of items per page.

success: boolean

List DLS regions for an account

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dls/regions \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}